set echo on
clear screen
select empno
     , ename
     , deptno
     , sal
     , first_value(ename) over (partition by deptno order by sal) fv
     , last_value(ename) over (partition by deptno order by sal) lv
  from emp
/
pause
select empno
     , ename
     , deptno
     , sal
     , first_value(ename)
       over
       (partition by deptno order by sal range between unbounded preceding and current row) fv
     , last_value(ename)
       over
       (partition by deptno order by sal range between unbounded preceding and current row) lv
  from emp
/
pause
select empno
     , ename
     , deptno
     , sal
     , first_value(ename) over (partition by deptno order by sal) fv
     , last_value(ename) over (partition by deptno order by sal rows between current row and unbounded following) lv
  from emp
/
set echo off
