break on deptno skip 1
set echo on
clear screen
remark
remark  Example taken from Tom Kyte's Effective Oracle By Design
remark
select deptno
     , ename
     , sal
     , sum(sal) over (partition by deptno order by sal,ename) cumulative_salary
     , round(100 * ratio_to_report(sal) over (partition by deptno), 1) percentage_dept
     , round(100 * ratio_to_report(sal) over (), 1) percentage_total
  from emp
 order by deptno
     , sal
/
pause
select emp.deptno
     , emp.ename
     , emp.sal
     , sum(emp4.sal) cumulative_salary
     , round(100 * emp.sal/emp2.sal_dept, 1) percentage_dept
     , round(100 * emp.sal/emp3.sal_totaal, 1) percentage_total
  from emp
     , ( select deptno, sum(sal) sal_dept
           from emp
          group by deptno
       ) emp2
     , ( select sum(sal) sal_totaal
           from emp
       ) emp3
     , emp emp4
 where emp.deptno = emp2.deptno
   and emp.deptno = emp4.deptno
   and (  emp.sal > emp4.sal
       or (   emp.sal = emp4.sal
          and emp.ename >= emp4.ename
          )
       )
 group by emp.deptno
     , emp.ename
     , emp.sal
     , round(100 * emp.sal/emp2.sal_dept, 1)
     , round(100 * emp.sal/emp3.sal_totaal, 1)
 order by deptno
     , sal
/
set echo off
clear breaks
