set echo on
set serveroutput off
set numwidth 10
clear screen
select /*+ gather_plan_statistics */
       deptno
     , job
     , sum(sal)
  from emp
 group by grouping sets( (deptno,job), deptno, () )
/
select * from table(dbms_xplan.display_cursor(null,null,'iostats last'))
/
pause
select /*+ gather_plan_statistics */
       deptno
     , job
     , sum(sal)
  from emp
 group by grouping sets( (deptno,job), deptno, job, () )
/
select * from table(dbms_xplan.display_cursor(null,null,'iostats last'))
/
pause
select /*+ gather_plan_statistics */
       deptno
     , job
     , sum(sal)
  from emp
 group by rollup (deptno,job)
 order by deptno
     , job
/
select * from table(dbms_xplan.display_cursor(null,null,'iostats last'))
/
pause
select /*+ gather_plan_statistics */
       deptno
     , job
     , sal
  from emp
 union all
select deptno
     , null job
     , sum(sal)
  from emp
 group by deptno
 union all
select null
     , null
     , sum(sal)
  from emp
 order by deptno
     , job
/
select * from table(dbms_xplan.display_cursor(null,null,'iostats last'))
/
set echo off
set serveroutput on
set numwidth 38