set echo on
clear screen
var N number
exec :N := 20
with fibonacci (i, f, next_f) as
( select 1
       , 0
       , 1
    from dual
   union all
  select i + rownum
       , next_f
       , f + next_f
    from fibonacci
   where i < :N
)
select i
     , f
  from fibonacci
/
