set echo on
set numwidth 10
clear screen
select deptno
     , job
     , mgr
     , hiredate
     , sum(sal)
  from emp
 group by rollup(deptno,job)
     , cube(mgr,hiredate)
 order by deptno
     , job
     , mgr
     , hiredate
/
pause
select deptno
     , job
     , mgr
     , hiredate
     , sum(sal)
  from emp
 group by grouping sets
       ( (deptno,job)
       , deptno
       , ()
       )
     , grouping sets
       ( (mgr,hiredate)
       , mgr
       , hiredate
       , ()
       )
 order by deptno
     , job
     , mgr
     , hiredate
/
pause
select deptno
     , job
     , mgr
     , hiredate
     , sum(sal)
  from emp
 group by grouping sets
       ( (deptno,job,mgr,hiredate)
       , (deptno,job,mgr)
       , (deptno,job,hiredate)
       , (deptno,job)
       , (deptno,mgr,hiredate)
       , (deptno,mgr)
       , (deptno,hiredate)
       , deptno
       , (mgr,hiredate)
       , mgr
       , hiredate
       , ()
       )
 order by deptno
     , job
     , mgr
     , hiredate
/
