set echo on
column gr_deptno format 99999
column gr_job format 99999
column gr_mgr format 99999
column gr_empno format 99999
set numwidth 10
clear screen
select deptno
     , job
     , mgr
     , empno
     , sum(sal)
  from emp
 group by rollup( (deptno), (job,mgr), (empno) )
 order by deptno
     , job
     , mgr
     , empno
/
pause
select deptno
     , job
     , mgr
     , empno
     , sum(sal)
     , grouping(deptno) gr_deptno
     , grouping(job)    gr_job
     , grouping(mgr)    gr_mgr
     , grouping(empno)  gr_empno
  from emp
 group by rollup( (deptno), (job,mgr), (empno) )
 order by deptno
     , job
     , mgr
     , empno
/
pause
select deptno
     , job
     , mgr
     , empno
     , sum(sal)
     , grouping_id(deptno,job,mgr,empno)
  from emp
 group by rollup( (deptno), (job,mgr), (empno) )
 order by deptno
     , job
     , mgr
     , empno
/
pause
select deptno
     , job
     , mgr
     , empno
     , sum(sal)
     , case
       when grouping(deptno) = 0
        and grouping(job) = 0
        and grouping(empno) = 1
       then
         'superaggregatie over empno'
       else
         '-'
       end tekst1
     , case grouping_id(deptno,job,empno)
       when 1 then 'superaggregatie over empno'
       else '-'
       end tekst2
  from emp
 group by rollup( (deptno), (job,mgr), (empno) )
 order by deptno
     , job
     , mgr
     , empno
/
pause
select deptno
     , job
     , mgr
     , sum(sal)
     , grouping_id(deptno,job,mgr)
  from emp
 group by cube(deptno,job,mgr)
 order by deptno
     , job
     , mgr
/
pause
select deptno
     , job
     , mgr
     , sum(sal)
     , grouping_id(deptno,job,mgr)
     , group_id()
  from emp
 group by cube(deptno,job,mgr)
 order by deptno
     , job
     , mgr
/
pause
select deptno
     , sum(sal)
     , grouping(deptno)
     , group_id()
  from emp
 group by grouping sets ( deptno, deptno, (), (), () )
 order by deptno
/
set echo off
set numwidth 38
