set echo on
clear screen
var N number
exec :N := 10
pause
clear screen
select rownum n
  from all_objects
 where rownum <= :N
/
pause
set autotrace on
clear screen
select rownum n
  from all_objects
 where rownum <= :N
/
pause
clear screen
 select level n
   from dual
connect by level <= :N
/
pause
select rownum
  from ( select 1
           from dual
          group by cube(1,1,1,1)
       )
 where rownum <= :N
/
pause
clear screen
select n
  from dual
 model
       dimension by (1 n)
       measures ('x' x)
       ( x[for n from 2 to :N increment 1] = null )
/
pause
clear screen
with t(n) as
( select 1 from dual
   union all
  select n+1 from t where n < :N
)
select n
  from t
/
pause
clear screen
select n
  from xmltable('1 to 10' columns n for ordinality)
/
pause
select n
  from xmltable('1 to ' || to_char(:N) columns n for ordinality)
/
set autotrace off
set echo off
