set echo on
clear screen
select ename
     , sal
  from emp
 order by ename
/
remark 
remark 
remark  Pivoting
remark 
remark  Produce the following output
remark 
remark  CLARK    KING MILLER  SMITH   FORD  ADAMS  SCOTT  JONES  ALLEN  BLAKE MARTIN TURNER  JAMES   WARD
remark  ------ ------ ------ ------ ------ ------ ------ ------ ------ ------ ------ ------ ------ -------
remark  2450     5000   1300    800   3000   1100   3000   2975   1600   2850   1250   1500    950   1250
remark 
pause
set numwidth 6
clear screen
select decode(ename,'CLARK',sal)  clark
     , decode(ename,'KING',sal)   king
     , decode(ename,'MILLER',sal) miller
     , decode(ename,'SMITH',sal)  smith
     , decode(ename,'FORD',sal)   ford
     , decode(ename,'ADAMS',sal)  adams
     , decode(ename,'SCOTT',sal)  scott
     , decode(ename,'JONES',sal)  jones
     , decode(ename,'ALLEN',sal)  allen
     , decode(ename,'BLAKE',sal)  blake
     , decode(ename,'MARTIN',sal) martin
     , decode(ename,'TURNER',sal) turner
     , decode(ename,'JAMES',sal)  james
     , decode(ename,'WARD',sal)   ward
  from emp
/
pause
select max(decode(ename,'CLARK',sal))  clark
     , max(decode(ename,'KING',sal))   king
     , max(decode(ename,'MILLER',sal)) miller
     , max(decode(ename,'SMITH',sal))  smith
     , max(decode(ename,'FORD',sal))   ford
     , max(decode(ename,'ADAMS',sal))  adams
     , max(decode(ename,'SCOTT',sal))  scott
     , max(decode(ename,'JONES',sal))  jones
     , max(decode(ename,'ALLEN',sal))  allen
     , max(decode(ename,'BLAKE',sal))  blake
     , max(decode(ename,'MARTIN',sal)) martin
     , max(decode(ename,'TURNER',sal)) turner
     , max(decode(ename,'JAMES',sal))  james
     , max(decode(ename,'WARD',sal))   ward
  from emp
/
pause
clear screen
select *
  from ( select ename,sal from emp )
       pivot
       ( max(sal) for ename in
         ( 'CLARK'  clark
         , 'KING'   king
         , 'MILLER' miller
         , 'SMITH'  smith
         , 'FORD'   ford
         , 'ADAMS'  adams
         , 'SCOTT'  scott
         , 'JONES'  jones
         , 'ALLEN'  allen
         , 'BLAKE'  blake
         , 'MARTIN' martin
         , 'TURNER' turner
         , 'JAMES'  james
         , 'WARD'   ward
         )
       )
/
pause
clear screen
select deptno
     , sal
  from emp
 order by deptno
     , sal
/
set echo off
remark 
remark 
remark  Pivoting
remark 
remark  Produce the following output
remark 
remark  DEPTNO [0-1000) [1000-2000) [2000-4000) [4000-10000)
remark  ------ -------- ----------- ----------- -------------
remark 
remark  10            0           1           1            1
remark  20            1           1           3            0
remark  30            1           4           1            0
remark 
pause
set echo on
clear screen
select deptno
     , case when sal>=0    and sal<1000 then sal end "[0-1000)"
     , case when sal>=1000 and sal<2000 then sal end "[1000-2000)"
     , case when sal>=2000 and sal<4000 then sal end "[2000-4000)"
     , case when sal>=4000 and sal<10000 then sal end "[4000-10000)"
  from emp
 order by deptno
/
pause
select deptno
     , count(case when sal>=0    and sal<1000 then sal end) "[0-1000)"
     , count(case when sal>=1000 and sal<2000 then sal end) "[1000-2000)"
     , count(case when sal>=2000 and sal<4000 then sal end) "[2000-4000)"
     , count(case when sal>=4000 and sal<10000 then sal end) "[4000-10000)"
  from emp
 group by deptno
 order by deptno
/
pause
clear screen
select *
  from ( select deptno
              , case
                when sal>=0    and sal<1000 then 1
                when sal>=1000 and sal<2000 then 2
                when sal>=2000 and sal<4000 then 3
                when sal>=4000 and sal<10000 then 4
                end schaal
           from emp
       )
       pivot
       ( count(*) for schaal in
         ( 1 "[0-1000)"
         , 2 "[1000-2000)"
         , 3 "[2000-4000)"
         , 4 "[4000-10000)"
         )
       )
 order by deptno
/
set echo off
