set echo on
clear screen
select ename
     , sal
     , comm
  from emp
 where deptno = 30
/
remark 
remark  Unpivot
remark 
remark  Produce the following output
remark 
remark  ENAME      INCO  VALUE
remark  ---------- ---- -------
remark
remark  ALLEN      SAL    1600
remark  ALLEN      COMM    300
remark  BLAKE      SAL    2850
remark  BLAKE      COMM
remark  JAMES      SAL     950
remark  JAMES      COMM
remark  MARTIN     SAL    1250
remark  MARTIN     COMM   1400
remark  TURNER     SAL    1500
remark  TURNER     COMM      0
remark  WARD       SAL    1250
remark  WARD       COMM    500
remark 
remark 
remark  And without the NULL values:
remark 
remark  ENAME      INCO  VALUE
remark  ---------- ---- -------
remark
remark  ALLEN      SAL    1600
remark  ALLEN      COMM    300
remark  BLAKE      SAL    2850
remark  JAMES      SAL     950
remark  MARTIN     SAL    1250
remark  MARTIN     COMM   1400
remark  TURNER     SAL    1500
remark  TURNER     COMM      0
remark  WARD       SAL    1250
remark  WARD       COMM    500
remark 
pause
clear screen
select ename
     , decode(n,1,'SAL',2,'COMM') income_type
     , decode(n,1,sal,2,comm) value
  from emp
     , ( select level n from dual connect by level <= 2 )
 where deptno = 30
 order by ename
     , income_type desc
/
pause
select ename
     , decode(n,1,'SAL',2,'COMM') income_type
     , decode(n,1,sal,2,comm) value
  from emp
     , ( select level n from dual connect by level <= 2 )
 where deptno = 30
   and decode(n,1,sal,2,comm) is not null
 order by ename
     , income_type desc
/
pause
clear screen
select ename
     , income_type
     , value
  from emp unpivot include nulls (value for income_type in (sal,comm))
 where deptno = 30
 order by ename
     , income_type desc
/
pause
select ename
     , income_type
     , value
  from emp unpivot (value for income_type in (sal,comm))
 where deptno = 30
 order by ename
     , income_type desc
/
set echo off
