set echo on
column ename format a20
column cbr format a20
clear screen
 select ename
      , empno
      , mgr
      , deptno
      , connect_by_root ename as cbr
   from emp
connect by mgr = prior empno
  start with mgr is null
  order siblings by deptno
/
pause
clear screen
with emps (ename,empno,mgr,deptno,cbr) as
( select ename
       , empno
       , mgr
       , deptno
       , ename
    from emp
   where mgr is null
   union all
  select emp.ename
       , emp.empno
       , emp.mgr
       , emp.deptno
       , emps.cbr
    from emp
         join emps on (emp.mgr = emps.empno)
) search depth first by deptno set a
select ename
     , empno
     , mgr
     , deptno
     , cbr
  from emps
 order by a
/
set echo off
