set echo on
set serveroutput off
clear screen
alter session set statistics_level = all
/
with t as
( select level n
       , 'Description ' || to_char(level) description
    from dual
 connect by level <= 10
)
select sum(t2.n)
  from t t1
     , t t2
     , t t3
/
pause
select * from table(dbms_xplan.display_cursor(null,null,'iostats -rows last'))
/
pause
clear screen
with t as
( select level n
       , 'Description ' || to_char(level) description
    from dual
 connect by level <= 10
)
select sum(n)
  from t
/
select * from table(dbms_xplan.display_cursor(null,null,'iostats -rows last'))
/
pause
clear screen
with t as
( select /*+ materialize */
         level n
       , 'Description ' || to_char(level) description
    from dual
 connect by level <= 10
)
select sum(n)
  from t
/
select * from table(dbms_xplan.display_cursor(null,null,'iostats -rows last'))
/
set serveroutput on
alter session set statistics_level = typical
/
set echo off
