set echo on
column ename format a20
clear screen
with emps (ename,empno,mgr,deptno) as
( select ename
       , empno
       , mgr
       , deptno
    from emp
   where mgr is null
   union all
  select emp.ename
       , emp.empno
       , emp.mgr
       , emp.deptno
    from emp
         join emps on (emp.mgr = emps.empno)
) search depth first by deptno,ename set a
select ename
     , empno
     , mgr
     , deptno
     , a
  from emps
 order by a
/
pause
clear screen
with emps (ename,empno,mgr,deptno) as
( select ename
       , empno
       , mgr
       , deptno
    from emp
   where mgr is null
   union all
  select emp.ename
       , emp.empno
       , emp.mgr
       , emp.deptno
    from emp
         join emps on (emp.mgr = emps.empno)
) search breadth first by deptno,ename set a
select ename
     , empno
     , mgr
     , deptno
     , a
  from emps
 order by a
/
